SYSTEMCHECK(1)

NAME
systemcheck - checks security status

SYNOPSIS
systemcheck options

DESCRIPTION
systemcheck is a tool, which checks the state of many aspects of the system, which are important for security.

OPTIONS

•   -v, --verbose

    Verbose output. Outputs results from tests that succeeded, that would otherwise only complain if there was an issue.

•   -e, --debug

    Debug output. Enables xtrace and enables curl output.

•   --leak-tests

    Run Tor leak tests.

•   --show-ip

    Show IP during Tor leak tests.

•   --gui

    Deactivates output auto detection. Enables gui output.

•   --cli

    Deactivates output auto detection. Enables cli output.

EXIT CODES
0 Success

1 Error

2 Warning

143 Signal sigterm received.

130 Signal sigint received.

EXAMPLE
systemcheck

systemcheck -v

Configuration File and Folder
See /etc/systemcheck.d/30_default.conf

WWW
https://www.whonix.org/wiki/systemcheck

AUTHOR
This man page has been written by Patrick Schleizer (adrelanos@whonix.org).